Album: Flare (Raid Remix)
Artists:
- Raid
Date: April 13, 2023
Date Added: January 29, 2025
URLs:
- https://rudecustard.bandcamp.com/track/flare-raid-remix
- https://www.youtube.com/watch?v=xbBGCwfPbR0
- https://open.spotify.com/album/1hW2btVr4L0C2VOSZ71Onq
Cover Artists:
- Raid
Color: '#5bcb03'
Groups:
- Fandom
Art Tags:
- Green Sun
Wallpaper Artists:
- Raid
- Lilithtreasure (edits for wiki)
Wallpaper File Extension: jpg
Commentary: |-
   <i>Raid:</i> ([Bandcamp about blurb](https://rudecustard.bandcamp.com/track/flare-raid-remix))

   a breakcore/glitch hop/drum 'n' bass remix of [[track:flare|flare]] by [[artist:clark-powell|clark powell]]! i played a real electric guitar for the first time ever in this one. that shit hurts my fingers

   <i>Raid:</i> ([YouTube description](https://www.youtube.com/watch?v=xbBGCwfPbR0), excerpt)

   It is 4/13. I present to you my remix of Clark Powell's [[track:flare|"Flare."]] I broke my first tom and shattered a brand new drumstick while recording the drum solo. Look at how I suffer for you. You're welcome.

   This is some breakcore, drum 'n' bass, glitch stuff, with some of my own organic acoustic live drums, piano, and electric guitar playing mixed in. Yeah, that's right! You're hearing a real electric guitar in this track. I went and bought my first axe. I still barely know how to wield this thing but I'm super excited to continue learning how.

   And yes, I made it 6 minutes and 12 seconds on purpose.

   For more thoughts on the music, check the extended description.

   <i>Raid:</i> (["flare remix extended description"](https://pastebin.com/xMUMJKfH))

   4/13 again. I flew across the country to visit my family, and I value every second I get to spend with them, so I'm rushing all this together. Hopefully you couldn't tell. I'm releasing the video at midnight in Pacific Time because it's already past midnight here on the east coast. Hahaha. It wouldn't have mattered either way. I'm scheduling the video this way just cause I felt like it.

   It's been a while since I've produced an EDM track like this one. The last time I did this was... actually exactly two years ago! That was when I made [[track:beatdown-raid-remix|my remix of Beatdown]], which has since become the most popular track I've released. I remember rushing to complete that one on time for April 13th. Well, I guess nothing's changed, because I rushed to complete this one, too.

   I've loved electronic music ever since I was a kid, but I haven't really been flexing my electronic music production skills ("production skills") lately. I've been doing a lot of acoustic live shit and playing my instruments because I've been on a jazz and rock kick ever since last spring/summer. Making electronic music again is refreshing. Electronic is the vibe of most stuff the Homestuck music team has made so I guess I'm in good company as I return to making more EDM.

   I took a page out of a few dope musicians' books to make this track. I was thinking of [[Carne Vale]] by Malcolm Brown when I panned the drums around. [Too Many Fucking Stairs](https://adnoiseam.bandcamp.com/track/too-many-fucking-stairs) by Enduser gave me the idea to make anything breakcore-like and provided me with some rhythmic ideas for my drum solo. Listening to most of KOAN Sound's shit got me to pay more attention to my bassline and kick rhythms. Oh, and [[Bec Noir]] by Will Kommor! That's a Homestuck tune that also made me think of making something with glitchy breakcore drums. I think that tune and the one by Enduser were my two foremost inspirations for this remix.

   You know, I really didn't expect my new guitar to sound this good. It's the first electric guitar I've ever owned. It's a Gibson Les Paul and it sounds glorious. I can't wait to go home and practice on it. I still need to really figure out my effects and stuff for it, iron out all the kinks, buy a better amp, learn the fretboard, develop better hand dexterity... so much to learn, so much to do......

   Kinda went nuts for this drum solo. The reason you don't hear any 1st tom in it is because I broke it, like I mentioned. I must've hit it at a weird angle, or hit it too hard, or hit the head on a weak spot, or all of the above. Oh well. That tom head had served me well for almost a decade.

   [[Flare]] has long been one of my favorite HS tunes. The [[track:flare-cascade-cut|Cascade cut]], especially. Ever since I watched [[flash:4109|[S] Cascade]] for the first time when I was like 13. Hearing the music speed up and get more chaotic towards the end was super cool. Jeez. It's really been almost ten years since then. Anyway, while listening to this remix, just close your eyes and imagine you're in space, or something. Especially during the beginning and end. I wonder what the "Flare" is that Clark Powell was referring to. Like a solar flare, maybe? I dunno.
---
Track: Flare (Raid Remix)
Duration: 6:12
URLs:
- https://rudecustard.bandcamp.com/track/flare-raid-remix
- https://www.youtube.com/watch?v=xbBGCwfPbR0
- https://open.spotify.com/track/5bIZfbO7LiOSjBI9TPLaiX
Referenced Tracks:
- track:flare
- Amen, Brother
- track:black-raid-remix
- Omega Rhythm
